Org settings, dashboards & reporting
Update Org Settings
Validates total tokens against granted amounts and Okta config, then updates org token, display and SSO settings.
POSThttps://api.toku.com/tga/update-org-settings
Not available to API keys yet. It will need organization:write.
curl --request POST \
--url 'https://api.toku.com/tga/update-org-settings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"timezone": "string",
"totalTokens": 0,
"shouldShowUnallocatedTokens": true,
"isOktaEnabled": true,
"oktaClientId": "string",
"oktaClientSecretKey": "string",
"oktaIssuerUrl": "string",
"isStakingEnabled": true,
"isOrganizationHidden": true,
"decimalPrecisionForTokens": 0,
"fmvFetchTime": "string",
"enablePaxos": true,
"enableMorpho": true,
"cmcId": "string",
"tokenName": "string"
}'200 response
{
"timezone": "string",
"totalTokens": "string",
"shouldShowUnallocatedTokens": true,
"isOktaEnabled": true,
"oktaClientId": "string",
"oktaIssuerUrl": "string",
"isStakingEnabled": true,
"isOrganizationHidden": true,
"enablePaxos": true,
"enableMorpho": true,
"cmcId": "string",
"tokenName": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
timezonestringrequiredtotalTokensnumber | nullrequiredshouldShowUnallocatedTokensbooleanrequiredisOktaEnabledbooleanrequiredoktaClientIdstringrequiredoktaClientSecretKeystringoktaIssuerUrlstringrequiredisStakingEnabledbooleanisOrganizationHiddenbooleandecimalPrecisionForTokensnumberfmvFetchTimestringrequiredenablePaxosbooleanenableMorphobooleancmcIdstring | anytokenNamestringResponse
200Successful response
timezonestringrequiredtotalTokensstring | nullrequiredAllowed: matches ^-?(\d+(\.\d+)?|\d(\.\d+)?e[+-]\d+)$
shouldShowUnallocatedTokensboolean | nullrequiredisOktaEnabledbooleanrequiredoktaClientIdstring | nullrequiredoktaIssuerUrlstring | nullrequiredisStakingEnabledbooleanrequiredisOrganizationHiddenboolean | nullrequiredenablePaxosbooleanrequiredenableMorphobooleanrequiredcmcIdstring | nullrequiredtokenNamestring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits